<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/children_common_bg"
    android:orientation="vertical">
    <LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_alignParentRight="true"
        android:layout_marginRight="@dimen/d_24dp"
        android:layout_marginTop="@dimen/d_13dp"
        android:gravity="center_vertical">
        <include layout="@layout/children_search_favourate"/>
    </LinearLayout>


    <FrameLayout
        android:id="@+id/linear_parent"
        android:layout_width="@dimen/d_381dp"
        android:layout_height="match_parent"
        android:background="@drawable/cartoon_left_mask"
        android:orientation="vertical">
        <ImageView
            android:id="@+id/arrow_up"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/d_60dp"
            android:background="@drawable/arrow_up"
            android:visibility="invisible"/>
        <ImageView
            android:id="@+id/arrow_down"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/d_620dp"
            android:background="@drawable/arrow_down"
            android:visibility="invisible"/>
        <com.wasu.cs.widget.CartoonRecyclerView
            android:id="@+id/cartoon_tab"
            android:layout_width="@dimen/d_164dp"
            android:layout_height="match_parent"
            android:layout_gravity="center_horizontal"
            android:descendantFocusability="beforeDescendants"
            android:focusable="true"
            android:orientation="vertical"
            android:paddingBottom="@dimen/d_110dp"
            android:paddingTop="@dimen/d_123dp"
            tools:listitem="@layout/item_cartoon_tab"/>
    </FrameLayout>
   <!-- <android.support.v7.widget.RecyclerView
        android:id="@+id/cartoon_grid"
        android:layout_width="@dimen/d_899dp"
        android:layout_height="match_parent"
        android:layout_alignParentRight="true"
        android:layout_marginTop="@dimen/d_103dp"
        android:clipChildren="false"
        android:clipToPadding="false"
        android:focusable="true"
        android:layoutAnimation="@anim/gridlayoutanimation"
        android:paddingLeft="@dimen/d_10dp"
        android:paddingRight="@dimen/d_10dp"
        android:paddingTop="@dimen/d_10dp"
        android:scrollbarStyle="outsideInset"
        android:scrollbarThumbVertical="@drawable/scrollbar_thumb_vertical"
        android:scrollbarTrackVertical="@drawable/scrollbar_track_vertical"
        android:scrollbars="vertical"
        tools:listitem="@layout/item_cartoon_grid"/>-->
    <com.wasu.widgets.focuswidget.FocusRecyclerView
        android:id="@+id/cartoon_grid"
        android:layout_width="@dimen/d_899dp"
        android:layout_height="match_parent"
        android:layout_alignParentRight="true"
        android:layout_marginTop="@dimen/d_103dp"
        android:clipChildren="false"
        android:clipToPadding="false"
        android:focusable="true"
        android:layoutAnimation="@anim/gridlayoutanimation"
        android:paddingLeft="@dimen/d_10dp"
        android:paddingRight="@dimen/d_10dp"
        android:paddingTop="@dimen/d_10dp"
        android:scrollbarStyle="outsideInset"
        android:scrollbarThumbVertical="@drawable/scrollbar_thumb_vertical"
        android:scrollbarTrackVertical="@drawable/scrollbar_track_vertical"
        android:scrollbars="vertical"
        tools:listitem="@layout/item_cartoon_grid"/>
</RelativeLayout>